/*****************************************************************************
 *
 * ctt06_flash.js
 * Contains code for flash movie interactions with HTML page
 *
 *****************************************************************************/
// Indicates whether we are on a template page
var templatePage = false;

// Triggers use of "bookmarking"
var inSCO = false;

// Contains ALL of our executable functions from fscommand
var allActions = new Object();


/* This is not the best way to achieve this 
 * functionality but fscommand has an arity 1 || 2 so
 * it makes it difficult to pass everything needed.
 */


/*
 * testMsg()
 */
allActions.testMsg = function(x) {
	alert(x);
}


//pushes all variables from html to flash
/*
 * getVariables()
 */
allActions.getVariables = function(x) {
	var varName;
	var varValue;
	var searchstring = window.document.getElementsByTagName("head")[0].innerHTML;
	var startIndex = searchstring.indexOf('&');
	var endIndex = searchstring.indexOf('=',startIndex+1);
	while (startIndex != -1) {
		varName = searchstring.substring(startIndex+1,endIndex);
		startIndex = endIndex+1;
		endIndex = searchstring.indexOf('&',startIndex);
		varValue = searchstring.substring(startIndex,endIndex);
		setvar( moviename, varName, varValue );
		oldStartIndex = startIndex;
		startIndex = searchstring.indexOf('&',endIndex+1);
		endIndex = searchstring.indexOf('=',startIndex);
		if(startIndex < oldStartIndex)
		{
			startIndex = -1;
		}
	}
	
	searchstring = window.document.all['content'].innerHTML;
	startIndex = searchstring.indexOf('&amp;');
	endIndex = searchstring.indexOf('=');
	while (startIndex != -1) {
		varName = searchstring.substring(startIndex+5,endIndex);
		startIndex = endIndex+1;
		endIndex = searchstring.indexOf('&amp;',startIndex);
		varValue = searchstring.substring(startIndex,endIndex);
		setvar( moviename, varName, varValue );
		oldStartIndex = startIndex;
		startIndex = searchstring.indexOf('&amp;',endIndex+1);
		endIndex = searchstring.indexOf('=',startIndex);
		if(startIndex < oldStartIndex)
		{
			startIndex = -1;
		}
	}
	
	var beenThere = Global.getGlobal(moviename + "BT");
	if(beenThere != null)
	{
		setvar( moviename, "strbeenThere", beenThere );
	}
	
	setvar( moviename, "strPageURL", document.location.href );
	//setvar( moviename, "strBlockID", blockID );
	if(Global.getGlobal('scoreArray')!=null)
	{
		setvar( moviename,'scores',Global.getGlobal('scoreArray'));
	}
	
	//setvar( moviename, "strBlockID", blockID );
	setvar( moviename, "variablesSet", "true" );
}
/*****************************************************************************
 *
 * Functions accessible with fscommand() from flash.
 * Listed alphabetically
 *
 *****************************************************************************/
/*
 * finishSCO()
 */
allActions.finishSCO = function() { endSCO(); }

/*
 * getAnswers()
 */
allActions.getAnswers = function() {
	setVar("allAnswers", parent.storage.getAnswers());
}

/*
 * getVars()
 */
allActions.getVars = function() {
	setVar("allVars", parent.storage.getVars());
}

/*
 * getBack()
 * Jumps to previous page in sco
 */
allActions.getBack = function() {
	document.location = my_back;
}

/*
 * getBaseDir()
 * Sets baseDir string inside flash
 */
allActions.getBaseDir = function() {
	setVar("baseDir", baseDir);
}

/*
 * getDirLocation()
 * Sets dirLocation to blockName/auName
 */
allActions.getDirLocation = function() {
	setVar("dirLocation", blockShortName + "/" + auShortName);
}

/*
 * getGoNum()
 * Sets goNum number inside flash
 */
allActions.getGoNum = function() {
	setVar("goNum", parent.storage.getGoNum());
}

/*
 * getNext()
 * Jumps to next page in sco
 */
allActions.getNext = function() {
	document.location = my_next;
}

/*
 * getPageName()
 * Sets pageName string inside flash
 */
allActions.getPageName = function() {
	setVar("pageName", pageName);
}

/*
 * getNoGoNum()
 * Sets noGoNum number inside flash
 */
allActions.getNoGoNum = function() {
	setVar("noGoNum", parent.storage.getNoGoNum());
}

/*
 * getNotes()
 * Sets allNotes string inside flash
 */
allActions.getNotes = function() {
	setVar("allNotes", parent.storage.getNotes());
}


/*
 * goToPage()
 * Redirects content page to relative url
 */
allActions.goToPage = function(newPage) {
	document.location = newPage;
}

/*
 * hideBack()
 * Makes back button "disabled"
 */
allActions.hideBack = function() {
	hideDiv("back");
}

/*
 * hideNext()
 * Makes next button "disabled"
 */
allActions.hideNext = function() {
	hideDiv("next");
}

/*
 * isTemplatePage()
 * Sets this as a template page
 */
allActions.isTemplatePage = function() {
	templatePage = true;
}



/* This is used to create a pop up window 
 * that is printable 
 * makePopUp()
 */

allActions.makePopUp = function(s){

	
	var w = window.open(s, "PrintWindow");
	//w.document.open();
	//w.document.write(s);
	//w.document.close();
	
	
}



/*
 * registerAnswers()
 * Iterates through all answers and saves them with setInteraction
 */
allActions.registerAnswers = function() {
	var allAnswers = parent.storage.getAnswers();
	var allPages = new Array();
	for (var answer in allAnswers) { allPages.push(answer); }
	allPages.sort();
	var answerCounter = 0;
	var correctCounter = 0;
	for (var idx = 0; idx < allPages.length; idx++) {
		var allButtons = new Array();
		for (var bNum in allAnswers[allPages[idx]]) {
			allButtons.push(Number(bNum));
		}
		for (var idx2 = 0; idx2 < allButtons.length; idx2++) {
			if (allAnswers[allPages[idx]][allButtons[idx2]]) { correctCounter++; }
			setInteraction(answerCounter++, allPages[idx]+"_"+allButtons[idx2],
				"true", allAnswers[allPages[idx]][allButtons[idx2]]);
		}
	}
	setScore(Math.round(correctCounter/answerCounter*100));
	endSCO();
}

/*
 * reviveData()
 * Returns suspend_data from LMS
 */
allActions.reviveData = function() {
	if (inSCO) {
		var tmpSuspend = LMSGetValue("cmi.suspend_data");
		if (tmpSuspend != undefined) {
			setVar("suspendData", tmpSuspend);
		}
	}
}

/*
 * saveAnswer()
 * Adds answer to full answer object
 */
allActions.saveAnswer = function(argString) {
	var argArray = argString.split(",");
	parent.storage.saveAnswer(pageName, argArray[0], argArray[1]);
}

/*
 * saveVar()
 * Adds answer to full answer object
 */
allActions.saveVar = function(argString) {
	var argArray = argString.split(",");
	parent.storage.saveVar(pageName, argArray[0], argArray[1]);
}

/*
 * saveGoNum(goNum)
 * Saves number of correct answers to storage
 */
allActions.saveGoNum = function(goNum) {
	parent.storage.saveGoNum(Number(goNum));
}

/*
 * saveNoGoNum(noGoNum)
 * Saves number of incorrect attemps to storage
 */
allActions.saveNoGoNum = function(noGoNum) {
	parent.storage.saveNoGoNum(Number(noGoNum));
}

/*
 * saveNotes()
 * Places notes in storage
 */
allActions.saveNotes = function(notes) {
	parent.storage.saveNotes(notes);
}

/*
 * setPrompt()
 * Sets text prompt at bottom bar
 */
allActions.setPrompt =  function(promptText) {
	setPrompt(promptText);
}

/*
 * showBack()
 * Makes back button visible
 */
allActions.showBack = function() {
	showDiv("back");
}

/*
 * showNext()
 * Makes next button visible
 */
allActions.showNext = function() {
	showDiv("next");
}

/*
 * suspendData()
 * Makes given data the suspend_data in LMS
 */
allActions.suspendData = function(suspendedString) {
	if (inSCO) { LMSSetValue("cmi.suspend_data", suspendedString); }
}


/* added by CJS  4/2/06 */

/* sets filename for learn by discovery needed for
 * the way we are going to show pages
 */
allActions.setLbd = function(fname){
	parent.storage.setLbd(fname);
}

/* used by the parent page for determining
 * when a path has been exhausted
 */
allActions.getLbd = function(fname){
	
	setVar("lbd." + fname, parent.storage.getLbd(fname));
}


allActions.speak = function(s){
	alert("inside speak");
	parent.storage.speak(s);
}

allActions.set_mode = function(x){
	parent.storage.set_mode(x);
}

allActions.get_mode = function(x){
	setVar("mode", parent.storage.get_mode());
}


allActions.set_response = function(x){
	parent.storage.set_response(x);
}

allActions.get_response = function(x){
	setVar("response", parent.storage.get_response(x));
}


allActions.set_critical = function(x){
	parent.storage.set_critical(x);
}

allActions.get_critical = function(x){
	parent.storage.get_critical(x);
}

allActions.set_critical_failure = function(x){
	parent.storage.set_critical_failure(x);
}

allActions.get_critical_failure = function(){
	setVar("critical_failure", parent.storage.get_critical_failure());
}

allActions.set_question_answered = function(x){
	parent.storage.set_question_answered(x);
}

allActions.get_question_answered = function(){
	setVar("wasAnswered", parent.storage.get_question_answered());
}

allActions.set_objective = function(x){
	parent.storage.set_objective(x);
}

allActions.get_objective = function(x){
	setVar("objective", parent.storage.get_objective(x));
}

allActions.get_n_tries = function(x){
	setVar("tries",parent.storage.get_n_tries(x));
}

allActions.get_feedback = function(x){
	setVar("feedback",parent.storage.get_feedback(x));	
}
allActions.set_n_tries = function(x){
	parent.storage.set_n_tries(x);
}

allActions.set_feedback = function(x){
	parent.storage.set_feedback(x);
}


allActions.show_aar_table = function(x){
	parent.storage.show_aar_table(x);
}

/********This is an added one off question thing******************************/

allActions.set_form_answers = function(s){
	parent.storage.set_form_answers(s);
}

/************************End add CJS******************************************/


/*****************************************************************************
 *
 * Utility functions for use internally
 * Listed alphabetically
 *
 *****************************************************************************/
/*
 * theMovie_DoFSCommand(command, args)
 * Acts as a proxy for fscommand functions
 */
function theMovie_DoFSCommand( command, args ) {
	if (allActions[command] != undefined) {
		allActions[command](args);
	}
	else {
		alert("fscommand(" + command + ", " + args + ") Not Found");
	}
}

/*
 * getMovieObject()
 * Returns flash movie object
 */
function getMovieObject() {
	if ( document.all ) {
		return document.all[moviename];
	}
	if ( document.getElementById( moviename ) ) {
		return document.getElementById( moviename );
	}
	if ( document.layers ) {
		return document.layers['image'].document.embeds[moviename];
	}
}

/*
 * hideDiv(id)
 * Makes given div id invisible
 */
function hideDiv(id) {

	if ( document.getElementById ) {
		document.getElementById(id).style.visibility = "hidden";

	} else if ( document.all ) {
		// this should only happen on IE4
		document.all[id].style.visibility = "hidden";

	} else if ( document.layers ) {
		// this should only happen on NS4
		document.layers[id].visibility = "hide";

	}
}

/*
 * setVar(name, value)
 * Sets given variable inside flash movie
 */
function setVar( name, value ) {
	getMovieObject().SetVariable( name, value );
}

/*
 * showDiv(id)
 * Makes given div id visible
 */
function showDiv(id) {
	if ( document.getElementById ) {
		document.getElementById(id).style.display = "block";
		document.getElementById(id).style.visibility = "visible";

	} else if ( document.all ) {
		// this should only happen on IE4
		document.all[id].style.display = "block";
		document.all[id].style.visibility = "visible";

	} else if ( document.layers ) {
		// this should only happen on NS4
		document.layers[id].display = "block";
		document.layers[id].visibility = "show";
	}
}




/***********This is for the html pop up windows text***************/
/* gotta be a better way..sorry dave. CJS*/

var text = new Object();

text.s3_brief = "S3 Briefing<br> " +

"1. Review the 52d ID Movement Order (8) for all assigned tasks for the convoy movement. The 2nd Brigade has provided the following changes and updates: " +

"2. The convoy assembly area has been changed to vicinity of EG 0850863. " +

"3. Convoy security will be provided by 2d platoon, Troop B, 1st Squadron, 5th Cavalry. Security will be a minimum of 8 Stryker vehicles. You are authorized direct coordination with Company B. You will have operational control of your security force no later than 12 hours before your scheduled SP " +

"4. The S2 advises that 2-3 man insurgent attacks are occurring in the area of operations north of gridline 94. Attacks are primarily at night. Isolated daytime attacks have also occurred. Daytime attacks are primarily improvised explosive devices (IED) followed by small arms and rocket propelled grenades directed at rescue and security forces and vehicles at the IED site. " +

"5. You are authorized to move your convoy on either Route Blue or Route Green. Emergency Route Yellow will be used if Route Blue is blocked north of grid 0794. " +

"6. Review the designated convoy routes and conduct a map and ground reconnaissance. Provide your route selection to this headquarters no later than 6 hours before your 0600SP in order to allow placement of guides.<br>"




text.s3_update = "UPDATES:<br>" +  

" S2, Intelligence Update: " + 

" 1.  Insurgency activity has increased during the last 24 hours. Insurgents have conducted  ambushes with small arms and rocket-propelled grenades (RPG) from sites along and within 200 meters of MSR Blue. Ambushes have occurred in the north along MSR Blue to area in the vicinity of EG075958. The heaviest of this activity has occurred between EG 085958 and EG100970. Intelligence reports indicate that the enemy plans to target vehicles on route yellow in the vicinity of EG118918." +

" S3 Update to Movement Order 8: " +

" 2.  Based on the S2 intelligence update, recommend that units or convoys using MSR Blue coordinate a priority of indirect fire support along MSR Blue between EG085958 and EG100970. " +

"3.  Close air support (CAS) provided by the Air Force is only authorized for use by units with designated artillery fire support free fire areas (FFA). Close air support will not be authorized in any other sector without approval from Commander, 52d Division. Units are authorized to coordinate directly with the Air Force liaison officer for on-call CAS missions in designated artillery fire support free-fire areas in their area of operations and in support of on-going operations and missions." + 

"4.  Helicopter gunship support is authorized for all units operating in the division area of operations. Helicopter gunship support must be coordinated prior to the start of any mission or operation by all units requesting gunship support. However, helicopter gunship support IS NOT authorized in or within 1000 meters of an artillery free fire area (FFA). Helicopters are RESTRICTED from flying in or through an artillery free fire area (FFA). " 

text.move_order = 
"<u>MOVEMENT ORDER (8) </u><br>" +  
"<b>TIME ZONE:</b> Local<br>" + 
"<b>TASK ORGANIZATION:</b> No change.<br><br>" +
"<b>1.<u>SITUATION:</u></b> No change.<br><br>" +
"<pre>	<b>a.General:</b>Convoys throughout the 52d ID Area of Operations (AO)<br>" +
"continue to betargeted by insurgents. Administrative and logistical constraints<br>" +
"continue to force many military convoys to travel along predictable routes  <br>" +
"though not all routes are experiencing attacks. Virtually all convoys must  <br>" +
"be considered possible targets for insurgents. Convoys of two to four  <br>" +
"vehicles are particularly vulnerable. As insurgent experience grows, VII  <br>" +
"Corps warns of increased frequency, efficiency, and sophistication of  <br>" +
"attacks. Presently, roughly 5% of all convoys are experiencing some <br>" +
"type of attack with 17 Coalition  service members KIA in the last 60 days.</pre><br>" +
"<pre>	The insurgents continue to strike primarily at night, using spotters with<br>" + 
"cell phones to alert attackers to approaching convoys. However, in recent weeks <br>" +
"due to insurgent success they are becoming increasingly brazen with more attacks<br>" +
"occurring during daylight hours. The pace of insurgent attacks is likely to <br>" +
"increase in the next few months as the Coalition prepares to push the insurgents<br>" +
"out prior to general elections.</pre><br>" +
"<pre>	While the insurgents are experiencing some success, continued active and<br>" +
"developing Coalition countermeasures are likely to reduce convoy attacks over<br>" +
"the next 45 days. As convoys become increasingly viewed as \hard\ targets by<br>" +
"insurgents they are likely to become much more discerning in which convoys they<br>" +
"choose to attack and to begin to choose other targets all together. Their<br>" +
"general decision process will remain focused on easy, high payoff targets.</pre><br>" +
"<pre>	<b>b.Area of Interest:</b> No change.<br>" +
"		<b>(1)Area of Operations:</b>See Annex C <br>" +
"		(Operations Overlay). Current meteorological and <br>" +
"		astrological data available from higher headquarters<br>" +
"       	<b>c.Battlespace:</b><br>" +
"          	<b>(1)</b>Suspected insurgent snipers firing single shots;<br>" + 
"	    	roadside bombs in plain view set as bait to get convoys to halt,<br>" +
"           	slow down or divert into \"kill zones\" rigged with larger,<br>" +
"		better-hidden explosives.<br>" + 
"	    	<b>(2)</b>Staged vehicle accidents to slow, halt or divert an<br>" +
"		approaching convoy.<br>" +
"          	<b>(3)</b>Roadblocks supported by squad-sized insurgent forces<br>" +
"	  	in fortified or entrenched positions that do not \hit and run\<br>" + 
"         	but rather stay and fight in order to inflict maximum Coalition<br>" +
"		casualties.<br>" + 
"		<b>(4)</b>Executing attacks by fire from within crowds of<br>" + 
"	   	non-combatants and effectively using them as cover and<br>" + 
"          	concealment while inviting civilian casualties for propaganda<br>" + 
"		use against Coalition forces.<br>" +
"		<b>(5)</b>Most recently, the insurgents have been using improvised<br>" + 
"          	explosive devices (IEDs), which can be made of anything from artillery<br>" +
"          	rounds to wads of plastic explosive or deadly mixtures of ammonium<br>" +  
"		nitrate fertilizer and diesel fuel.<br>" +
"          	<b>(6)</b>Insurgents typically hide several of these IEDs, often wired<br>" +
"          	together at intervals of about 30 yards.<br>" +
"		<b>(7)</b>Use of cell phones for communication with OP/LPs monitoring<br>" +
"          	the approach of convoys.<br>" +
"		<b>(8)</b>Focusing fires and the effects of ambushes on rear vehicles<br>" +
"          	making it difficult for Coalition forces to react, return fire, or<br>" +
"		respond.<br>"+ 
"          	<b>(9)</b>Primary target points on Coalition vehicles are the front <br>" +
"          	windshields and driver compartments, soft-skinned doors, and crew <br>" +
"		served weapon gunners and positions.</pre><br>" +
"<pre>	<b>d.52d ID recommended countermeasures:</b><br>" +
"		<b>(1)</b>Position one security vehicle approximately 400m to the rear of<br>" +
"		a convoy to more efficiently and effectively maneuver and execute return fire<br>" +
"		as needed.<br>" +
"		<b>(2)</b>Utilize gun mounts on all trucks.<br>"+
"		<b>(3)</b>Harden all vehicles to include shoring to reduce missile and<br>" +
"		crush injuries.</pre><br>" +
"<pre>	<b>e.Enemy Forces:</b>The most recent tactics used by insurgents in their<br>" +
"  		attacks on convoys include:<br>" +
"		Use of wheeled vehicles to reduce damage to road surfaces. Many<br>" +
"		small Coalition vehicles, though they offer little protection<br>" + 
"		from gunfire, can effectively maneuver to evade rocket-propelled<br>" +
"		grenades. Continue use of body armor and personal protective measures.<br>" +
"		Higher 52d ID establishes defenses that deny the enemy<br>" +
"		use of the avenue of approaches (AOA) in the divisions area<br>" +
"		of operation to prevent enemy disruption of the arrival of U.S.<br>" +
"		and coalition forces at the port and air facility of the capital<br>" +
"		city. Adjacent 1st Brigade, 52d ID defends in sector to our right<br>" +
"		while 3rd Battalion, 15th Marine Expeditionary Unit (MEU), 2d <br>" +
"		Marine Division, continues to support operations to our left.</pre><br>" +
"<pre>	<b>f.Friendly Forces:</b><br>" +
"		<b>(1)</b>Co B, 2d Bn, 206th AV provides direct support for all<br>" +
"		helicopter gunship support requirements.<br>" +
"		<b>(2)</b>The 3dt Plt, Co B, 1st Sqdn 5th Cav is OPCON as<br>" +
"		the escort and security element for the convoy.</pre><br>"+
"<pre>	<b>g.Attachments and Detachments:</b>No Change</pre><br>" +
"<pre>	<b>h.Legal Considerations</b><br>" +
"		<b>(1)</b>Standard Coalition rules of engagement (ROE)<br>" +
" 		apply. Personnel with weapons are considered to be<br>" +
"		combatants and can be engaged.</pre><br>" +
"<pre><b>2.<font size='4'><u>MISSION</u></font></b>At 06 0600 U Jan 06, 2168TH <br>" +
"Transportation Company will transport the weekly combat resupply from VII Corps<br>" +
"to 52d ID in order to maintain 52d ID combat power.</pre><br>" +
"<pre><b>3.<font size='4'><u>Execution</u></font></b><br>" +
"	<b>a.Commander's Intent:</b> The purpose of this convoy is to <br>" +
"	deliver daily combat resupply to designated Coalition forces <br>" +
"	of the 52d ID. The method we will use is a properly escorted,<br>" +
"	hardened convoy designed to; maximize protection to troops,<br>" +
"	vehicles, and cargo; make an unattractive target to insurgents;<br>" +
"	deliver the supplies efficiently and effectively. The desired <br>" +
"	end state is the successful delivery of the combat supply in its entirety.</pre><br>"+
"<pre>	<b>b.Concept of Operations:</b> See Annex C(Operations)</pre><br>" +
"<pre>	<b>c.Concept of Maneuver:</b>This operation will consist of three<br>"+
"	phases. Phase I is the Assembly Area Phase and consists of vehicle<br>" +
"	and cargo movement and marshalling in the designated assembly area,<br>" +
"	the orders process, and pre-combat checks and inspections. Phase II is<br>"+
"	the Movement Phase and consists of the actual convoy movement along either<br>" +
"	MSR Blue or MSR Green. Phase III is the Delivery and Reconstitution Phase.<br>"+
"	It is an on order phase that consists of the offloading of vehicles at the<br>"+
"	release point, conducting reconstitution, and conducting the follow-on<br>"+
"	movement of the convoy. Conduct of movement in accordance with Appendix<br>"+
"	(Convoy Operations), Annex D (Logistics/Combat Service Support) to Operation<br>"+
"	Order 22 (previously issued).</pre><br>" +
"<pre>	<b>d.Convoy Commander:</b> At 06 0600U Jan 06, transport the weekly combat<br>" +
"	resupply from the designated VII Corps assembly area (AA) to 52d ID, in<br>"+
"	order to maintain the 52d IDs combat power.</pre><br>" +
"<pre> 	<b>e.Tasks:</b><br>" +
"		<b>(1)</b>Alert the unit operations section and begin direct <br>"+
"		coordination with support elements immediately upon receipt of the order.<br>" +
"		<b>(2)</b>The convoy will consist of no more than 75 cargo vehicles.<br>"+
"		This number does not include vehicles assigned to the security, <br>" +
"		maintenance support and C2 elements.<br>" +
"		<b>(3)</b>Delegate tasks to the subordinate element leaders as<br>" +
"		necessary and ensure that they are briefed on their performance standards<br>" +
"		<b>(4)</b>Coordinate movement during Phase II with S3, 2d Brigade, 52d ID.<br>"+
"		Forward all requests for convoy clearances and map overlay of the proposed<br>"+
"		routes to the S3, 2d Brigade, 52d ID.<br>"+
"		<b>(5)</b>Conduct a route reconnaissance of the primary convoy route to <br>" +
"		verify the map reconnaissance and conduct a route reconnaissance of the<br>"+
"		alternate routes if time permits.<br>"+
"		<b>(6)</b>2d Brigade, 52d ID has placed signs on both MSR Blue and MSR<br>" +
"		Green at those road junctions where the convoy would be expected to<br>"+
"		make a turn or change of direction to stay on the designated route.<br>" +
"		<b>(7)</b>Requesting guides to assist the convoy movement is a <br>"+
"		responsibility of the convoy commander. Forward your request to<br>"+
"		this Headquarters. The 52d MP Company has been tasked to provide<br>"+
"		guides for convoy movements.<br>" +
"		<b>(8)</b>Designate command, control, and communications assignments<br>"+
"		and techniques that will be employed to carry out the move.<br>" +
"		<b>(9)</b>Coordinate with 1st Bn, 175th FA for direct support<br>"+
"		for the convoy movement for all indirect fire support.<br>"+
"		<b>(10)</b>Coordinate with Co B, 2d Bn, 206th AV for direct<br>"+
"		support for the convoy movement for all helicopter gunship<br>"+
"		support requirements.<br>" +
"		<b>(11)</b>Ensure that the before operations Preventive<br>"+
"		Maintenance Checks and Services (PMCS) are completed on all<br>" +
"		vehicles prior to loading in preparation for the convoys movement.<br>" +
"		<b>(12)</b>Ensure that all cargo and equipment to be transported<br>"+
"		is properly loaded onto the convoys vehicles. All cargo will be<br>"+
"		covered with tarps if possible. Vehicles transporting troops will<br>"+
"		be hardened with two interlocking layer of sandbags.<br>" +
"  		<b>(13)</b>Evaluate the convoys overall performance, personnel<br>" +
"		performance, and note lessons learned per the SOP. Complete Convoy<br>" +
"		Commanders Report per SOP.</pre><br>" +
"<pre> 	<b>f.Serial/march Unit Commanders:</b> At 06 0600U Jan 06, transport the<br>"+
"	weekly combat resupply from the designated VII Corps assembly area (AA) to<br>"+
"	52d ID, in order to maintain the 52d IDs combat power.<br>" +
"		<b>(1)</b>Report convoy ready status NLT 0540 hours.<br>"+
"		<b>(2)</b>Lead unit report SP at 0600.<br>"+
"		<b>(3)</b>Enforce march discipline.<br>"+
"		<b>(4)</b>Use open column with 100 meter interval.<br>"+
"		<b>(5)</b>March speed is 25 mph; 35 mph catch up speed.<br>"+
"		<b>(6)</b>Enforce two minute gap between march units.<br>"+
"		<b>(7)</b>Vehicle-mounted weapons will be manned while moving.<br>"+
"		<b>(8)</b>Supervise rehearsals, pre-combat checks, and inspections.<br>"+
"		<b>(9)</b>Bypass halted civilian vehicles.<br>"+
"		<b>(10)</b>IED procedures per battalion SOP<br>"+
"		<b>(11)</b>Arming orders and ROE per battalion SOP.<br>"+
"		<b>(12)</b>Supervise enroute maintenance and accountability.<br>" +
"		<b>(13)</b>2d platoon is lead march unit, followed by 1st<br>"+
"		platoon, then 3rd platoon.<br>"+
"		<b>(14)</b>Report all control measures per SOP.<br>"+
"		<b>(15)</b>Provide strip maps to all vehicle drivers.<br>"+
"		<b>(16)</b>Conduct driver mission briefing and safety briefing.</pre><br>"+
"<pre>	<b>g.Coordinating Instructions:</b> See Annex C(Operations Overlay)<br>"+
"		<b>(1)</b>Desigated elements OPCON to convoy commander NLT 12 hours<br>"+
"		to execution.<br>"+
"		<b>(2)</b>MSR Blue and Green are two-way traffic. Observe safe<br>"+
"		distance from civilian vehicles.<br>"+
"		<b>(3)</b>Escort elements will be with first and third march<br>"+
"		units while moving. Escort provides forward, rear and flank<br>"+
"		security at all halts.<br>"+
"		<b>(4)</b>All elements observe noise and light discipline<br>"+
"		throughout the mission.<br>"+
"		<b>(5)</b>The 2168th TC operations will provide strip maps.<br>"+
"		Provide at least 3 copies of the strip map to this headquarters<br>"+
"		with all control measures."+
"		<b>(6)</b>Ensure that all convoy vehicles have been inspected<br>"+
"		NLT than 6 hours prior to departure of the convoy from the<br>"+
"		assembly area.<br>" +
"		<b>(7)</b>Convoy task organization will terminate on order.<br>"+
"		<b>(8)</b>MOPP Level 0 in effect.<br>"+
"		<b>(9)</b>ASSEMBLY AREA: EG 085863</pre><br>" +
"<pre>	<b>f.Convoy Route:</b>The below listed control measures will be utilized<br>"+
"	to organize and report convoy movement and position:<br>" +
"		<b>(1)CP Grid</b><br>"+
"		Assembly Area EG085863<br>"+
"		Start Point EG 079875 Road Junction <br>"+
"		CP 1 EG 051865 Road Junction <br>"+
"		CP 2 EG 064909 Road Junction <br>"+
"		CP 3 EG 071939 Road Junction <br>"+	
"		CP 4 EG 071958 Road Junction <br>"+
"		Release Point EG108976 Road Junction><br>"+
"		<b>(2)MSR Green</b><br>"+
"		Assembly Area EG085863 <br>"+
"		Start Point EG079875 Road Junction <br>"+
"		CP 5 EG107885 Road Junction <br>"+
"		CP 6 EG120909 Road Junction <br>"+
"		CP 7 EG118919 Road Junction <br>"+
"		CP 8 EG112934 Road Junction <br>"+
"		CP 9 EG109942 Road Junction <br>"+
"		Release Point EG108976 Road Junction</pre><br>"+
"<pre>	<b>g.Route Restrictions:</b><br>"+
"		<b>(1)</b>Railroad bridge vicinity EG105931 vertical<br>"+
"		clearance is 156<br>"+
"		<b>(2)</b>One lane road from vicinity EG071939 to <br>"+
"		EG071958 is restricted to 20 mph.</pre><br>"+
"<pre>	<b>h.Route Yellow Alternate Convoy Route:</b> In the event of insurgency<br>"+
"	activity on MSR Blue the last available alternate route that can be<br>"+
"	utilized to switch from MSR Blue to MSR Green is located at Route<br>"+
"	Blue Check Point 3 vicinity EG088934. At check point 3, turn East<br>"+
"	and proceed East to Route Green Check Point 8.<br>" +
"<pre> <b><font size='4'>4.<u>Administration and Logistics:</u></font></b><br>"+
"	<b>a.Logistics</b><br>"+
"		<b>(1)</b>Fuel point located on MSR Blue at Check<br>"+
"		Point 3, vicinity EG071939 MREs issued as required.<br>"+
"		<b>(2)</b>Ammunition staged in ASSEMBLY AREA. Issued<br>"+
"		per Convoy Commanders guidance.<br>"+
"		<b>(3)</b>MEDEVAC support provided by Det 2, Co A, 2d Bn,<br>"+
"		206th AV.</pre><br>" +
"<pre> <b><font size='4'>5.<u>Command and Signal:</u></font></b><br>"+
"	<b>a.Command</b>Convoy Commander is responsible for<br>"+
"	reporting the convoys status to this Headquarters and<br>"+
"	all supporting element Headquarters. The Convoy Commander<br>"+
"	is responsible for submitting the convoy commanders report<br>"+
"	to this Headquarters.<br>"+
"	<b>b.Command Posts and Headquarters:</b>Convoy Commander<br>"+
"	initial location will be with 1st platoon. Commander, march<br>"+
"	unit 2 assumes convoy command in event commander is disabled.<br>"+
"	<b>c.Signal</b>All communications will be per current SOI.<br>"+
"	Convoy command will be on Fox 1 net. Call sign is Dragon 6.<br>"+
"	Tactical radios will be the primary method of communications<br>"+
"	within the convoy and with both higher and supporting units.</pre><br>"+
"<pre> ACKNOWLEDGE RECEIPT <br>"+
"				G. K. BRICKHOUSE <br>"+
"				COL, USA <br>"+
"				COMMANDING <br>"+
"ANNEXES: <br>"+	
"Indirect Fire Support <br>"+
"OFFICIAL: <br>"+
"s/ <br>"+
"I. M. OPSO <br>"+
"MAJ, USA <br>"+
"OPERATIONS OFFICER</pre><br>"
 	
//added as work-around for IE embed change
function addActiveContent(dir,movName)
{
	document.write('<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"');
	document.write('codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0"');
 	document.write('id="'+movName+'" width="760" height="445" align="left" tabindex="-1">');
	document.write('<param name="movie"   value="'+dir+'/images/'+movName+'.swf">');
	document.write('<param name="loop"    value="false">');
	document.write('<param name="menu"    value="false">');
	document.write('<param name="quality" value="high">');
	document.write('<param name="wmode" value="transparent">');
			
	document.write('<embed src="'+dir+'/images/'+movName+'.swf" loop="false" menu="false" ');
	document.write('quality="high" align="left" width="760" height="445" wmode="transparent"');
	document.write('name="'+movName+'" swliveconnect="true" type="application/x-shockwave-flash"');
	document.write('pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash">');
	document.write('</embed>');
			
	document.write('<noembed><img src="'+dir+'/images/'+movName+'.gif" width="760" height="445" border="0"></noembed>');
	document.write('</object>');
}
//----------------------------------------------------

function setvar( moviename, name, value ) {

	var this_object = movieobject( moviename );
	
	if (this_object) {
		this_object.SetVariable( name, value );
	}
	
}

function initPage()
{
	preloadtoolbar();
	
	Global.setGlobal("blnAdd2History", true);
	initToolbar();
}

function getGlobalVar(strVarName, lngIndex)
{
	strVarName = new String(strVarName);

	if(strVarName.length == 0 || !isNaN(strVarName))
	{
		alert("Invalid global variable name '" + strVarName + "'");
		return;
	}

	if(parent.storage)
	{
		if(lngIndex != null && isNaN(lngIndex) == false && parent.storage[strVarName] != null)
			return parent.storage[strVarName][lngIndex];
		else
		{
			if(parent.storage[strVarName] != null)
			{
				if(parent.storage[strVarName].length > 0)
				{
					//For some reason, the join() function throws an error in IE under certain conditions, so
					//just cobble togther the string manually instead.
					var strResult = new String();
					for(var i=0;i<parent.storage[strVarName].length;i++)
						strResult += ((parent.storage[strVarName][i]!=null?parent.storage[strVarName][i]:null) + ",");
					return strResult.substr(0, strResult.length-1);
				}
				else
					return parent.storage[strVarName];
			}
			else
				return null;
		}
	}
	else
		return null;
}

function setGlobalVar(strVarName, vntVarValue, lngIndex)
{
	strVarName = new String(strVarName);
	if(strVarName.length == 0 || !isNaN(strVarName))
	{
		alert("Invalid global variable name '" + strVarName + "'");
		return;
	}
	
	if(parent.storage)
	{
		if(lngIndex != null && isNaN(lngIndex) == false)
		{
			if(parent.storage[strVarName] == null)
			{
				parent.storage[strVarName] = new Array();
			}
			parent.storage[strVarName][lngIndex] = vntVarValue;
		}
		else
			parent.storage[strVarName] = vntVarValue;
	}
}

function canSetGlobals()
{
	return parent.storage != null
}

function GlobalVars()
{
	this.getGlobal = getGlobalVar;
	this.setGlobal = setGlobalVar;
	this.canSetGlobals = canSetGlobals;
}

var Global = new GlobalVars();
var strPrevPage="";
strPrevPage = Global.getGlobal('prevPage',0);